# [Changelog 1.2.0](https://omega.gg/MotionBox/changes/1.2.0.html)

### Previous: [Changelog 1.1.2](1.1.2.html)

### Next: [Changelog 1.3.0](1.3.0.html)

### Video: [MotionBox 1.2.0](https://youtube.com/watch?v=7TQfJMvjFTY)

- Youtube: [youtube.com/watch?v=T4GH8k_mHc4](https://youtube.com/watch?v=7TQfJMvjFTY)

- Vimeo: [vimeo.com/139088877](https://vimeo.com/210149743)

- Dailymotion: [dailymotion.com/video/x5d5ll4](https://dailymotion.com/video/x5gffic)


# [Sky kit](https://omega.gg/Sky)
---

## SkCore

- WControllerApplication: Added the "file exists" function.

- WControllerApplication: Added the "icon" property.

- WControllerApplication: Added the "osLinux" property.

- WControllerApplication: Fixed the "read codec" function.

- WControllerApplication: Fixed the "text width" function and parameters.

- WControllerApplication: Fixed the "icon" property.

- WControllerFile: Added the "exists" function.

- WControllerFile: Fixed the "file path" function.

- WControllerFile: Fixed the "to local file" and "to string" functions.

- WControllerFile: Fixed the "file watchers" timer.

- WCache: Fixed the "is empty" property.

- WFileWatcher: Fixed the "check change" function.


## SkGui

- Created WAbstractView.

- Created WDeclarativeBorderGrid.

- Renamed WMainView to WView.

- Renamed WMainViewResizer to WViewResizer.

- Renamed WMainViewDrag to WViewDrag.

#

- WControllerView: Added the "compress shots" function.

- WControllerView: Added the "opengl" property.

- WControllerView: Updated the "item shot" functions.

- WControllerPlaylist: Added the audio support.

- WControllerPlaylist: Added the "source is video" and "source is audio" function.

- WControllerPlaylistQuery: Added the "backend" variable.

#

- WApplication: Added the "instance" parameter.

- WApplication: Removed the "raster" on Linux.

- WWindow: Added the "set window snap" and "set window maximize" functions.

- WWindow: Updated the "icon" property.

- WWindow: Fixed the "window" flags.

- WWindow: Removed the "show" functions.

- WView: Added the "get geometry" function.

- WView: Added a workaround to undock the window.

- WView: Updated the "update mouse" function.

- WView: Fixed the "maximize" and "full screen" properties.

- WView: Fixed the default geometry.

- WView: Fixed the "show" event.

- WView: Fixed the "take shot" function.

- WView: Removed the "update minimum size" and "size hint" functions.

- WView: Removed the "auto size" property.

- WResizer: Added the Linux support.

#

- WDeclarativeImageBase: Updated the "set item shot" function.

- WDeclarativeImageBase: Updated the "asynchronous" property.

- WDeclarativeImage(s), WDeclarativeTextSvg: Added the "apply scale" function.

- WDeclarativeTextSvg: Added the "width" and "height" properties.

- WDeclarativeTextSvg: Added the "margin(s)" properties.

- WDeclarativeTextSvg: Fixed the "get rectangle" function.

- WPixmapCache: Updated the "get size(s)" and "get pixmap scaled" functions.

- WPixmapCache: Fixed the "remove data" function.

- WPixmapCache: Removed the "get source file" function.

#

- WAbstractBackend: Added the "output" properties.

- WAbstractBackend: Added the "is video" and "is audio" properties.

- WAbstractBackend: Added the "clear current time" function.

- WLibraryItem: Fixed the "load query" and "reload query" functions.

- WPlaylist: Added the "track query ended" signal.

- WTabTrack: Updated the "save state" function.

- WBackendNet: Added the "is audio" function.

- WBackendNet: Added the "apply query" functions.

- WBackendNet: Added the "query failed" function.


## SkMedia

- WBackendVlc: Added the Linux support.

- WBackendVlc: Added the "set output" function.

- WBackendVlc: Added the "started" and "mute" variables.

- WBackendVlc: Updated the "set output" and "set quality" functions.

- WBackendVlc: Fixed the video size.

- WBackendVlc: Fixed the "replay" function.

- WBackendVlc: Updated OpenGL functions to integer.

- WVlcEngine: Added an "instance" check.

- WVlcEngine: Updated the VLC parameters.

- WVlcEngine: Removed the "instance" property.

- WVlcPlayer: Added the "output" property.


## QML

- Created the SkyPresentation module.


## SkyComponents

- Removed BarTitleTiny.

#

- Window: Removed the default icon.

- BarWindow: Updated the icon path.

- WallVideo: Added the "player back" item.

- WallVideo: Fixed the "completed" event.

- WallVideo: Fixed the "player" item.

- ItemSlide: Fixed the "item image" states.

#

- Icon: Renamed the "style" property.

- Icon: Renamed the "style size" property.

- Icon: Renamed the "image style" alias.

- Icon: Removed the "icon width" and "icon height" properties.

- Panel: Updated the "wheel enabled" value.

- PanelContextual: Removed the gradient.

- BaseButton: Removed the "check icon" property.

- ButtonCheck: Added the "checkable" alias.

- ButtonCheck: Updated the "enabled" conditions.

- LabelRoundInfo: Updated the border filter.

- BaseLineEdit: Updated the "padding" value.

- Slider: Added the "width" default value.

- Slider: Updated the border filter.

- ItemList, ItemTab, ItemWall, Tooltip: Updated the "source size" value.

- ComponentWallBookmarkTrack: Fixed the "logo margin" property.


## SkyPresentation

- Created SlideRectangle.

- Created SlideTextLeft(s) and SlideTextRight(s).

#

- Slides: Added the "before, after, between, from" functions.

- Slides: Fixed the "slide" function.

- Slides: Removed the "fade" property.

- Slide(s): Fixed the "slide" conditions.

- SlideFrame: Fixed the "size" property.

- SlideText(s): Fixed the "margin(s)" properties.


## Style

- Panel: Updated the background color.

- ContextualCategory: Updated the background gradient.

- ContextualCategory: Updated the text size.

- ButtonStream, LabelStream: Updated the text to bold.

#

- Slides: Updated the border size.


## Scripts

- Created 3rdparty.


# [MotionBox](https://omega.gg/MotionBox)
---

## C++

- ControllerCore: Added the "playlist" controller.

- ControllerCore: Updated the default "icon".

- ControllerCore: Removed the "preload" function.

- ControllerCore: Fixed the "storage" path.

- DataLocal: Added the "speed" and "output" properties.

- DataLocal: Removed the "set mini size" function.

- DataOnline: Updated the "online" path.


## QML

- Main: Updated the default icon.

- StyleApplication: Removed the "restore minimum" function.

#

- Gui: Added the "open file" function.

- Gui: Updated the "Mini Mode" and "maximize window" shortcuts.

- Gui: Updated the "timer load" triggered event.

- Gui: Updated the "fade out" event.

- Gui: Fixed the "restore mini" function.

#

- BarWindowApplication: Added the "button mini" alias.

- BarWindowApplication: Added highlight to the "Mini Mode" button.

- BarTop: Updated the icon path.

- BarTop: Fixed the "open tab" function.

- BarControls: Removed the "container" item.

#

- Panel(s): Updated the BarTitleTiny to BarTitleSmall.

- PanelBrowse: Added the "track query ended" event.

- PanelBrowse: Fixed the search reset value.

- PanelRelated: Fixed the refresh timer.

- PanelRelated: Removed the "update tab" function.

- PanelSearch: Fixed the "scroll hubs" item.

- PanelCover, PanelPreview: Updated the "source size" value.

- PanelCover: Fixed the "icon" item.

- PanelAdd: Updated the title.

- PanelAdd: Updated the close button to ButtonPianoIcon.

- PanelSettings: Added the "output" and "speed" items.

#

- ContextualPages: Added the "Browse" item.

- ContextualPages: Updated items order.

- ContextualPage Track(s): Removed the "Play" item.

- ButtonsUpdater: Updated the "clicked" event.

- ItemTabMini: Updated the "tab" default value.


## Style

- Panel(s): Updated the background color.

- PanelSettings, PanelShare: Updated size.


# Authors
---

- Benjamin Arnaud aka [bunjee](https://bunjee.me) | <bunjee@omega.gg>.
