# [Changelog 1.5.0](https://omega.gg/MotionBox/changes/1.5.0.html)

### Previous: [Changelog 1.4.0](1.4.0.html)

### Next: [Changelog 1.6.0](1.6.0.html)

# [MotionBox](https://omega.gg/MotionBox)
---

## Overview

- Add light themes.

- Support the 64 bit architecture by default.

- Add feeds and tracks history.


## C++

- DataOnline: Update the 'ONLINE_PATH' variable.


## QML

- Remove ButtonLogoBorders.

#

- Gui: Update track selection when player stops.

- Gui: Update tab behavior.

- Gui: Update the 'pRestoreMiniA' function.

- Gui: Fix 'play(s)' functions.

- Gui: Fix the 'openSource' function.

- Gui: Remove the 'openFolder' function.

- Splash: Update implementation.

- BarWindowApplication: Add 'onBefore(s)' functions.

- BarWindowApplication: Add 'pRestoreMaximize' function.

- BarTop: Add the 'discover' button.

- BarTop: Add the 'playlist' property.

- PanelApplication: Update page buttons.

- PanelSearch: Start the search when you click a backend.

- PanelAdd: Fix the 'maximum height' property.

- LineEditSearch: Update the 'default text' behavior.

- ListFolder: Fix the 'folder' events.


## Style

- Enable 'light' design by default.


# [Sky kit](https://omega.gg/Sky)
---

## Qt

- Change QUrl(s) to QString(s) to improve comparisons.


## SkCore

- WControllerFile: Add the 'folderUrl' function.

- WControllerFile: Update the 'toLocal, toString' functions.

- WControllerFile: Fix the 'file url' functions.

- WControllerFile: Fix the 'toLocalFile' function.

- WControllerScript: Add 'QJSEngine' implementation.

- WRemoteTimeout: Fix the 'timeout' function.


## SkGui

- WControllerPlaylist: Update the 'query' implementation.

- WControllerPlaylist: Fix the 'loaded' function.

- WControllerPlaylistData: Update the 'applyHtml' function.

- WAbstractView: Add the 'on close' function.

- WAbstractView: Update the 'task bar' workaround.

- WView: Add the 'on close' function.

- WView: Fix the 'update flags' function.

- WDeclarativeImageBase: Fix the 'set filter' function.

- WDeclarativeImageBase: Fix the 'onFilterUpdated' function.

- WDeclarativeImage(s): Fix the 'scale' implementation.

- WDeclarativeTextSvg: Fix the 'get width' implementation.

- WPlaylist: Add the 'move(s)' functions.


## SkMedia

- WBackendVlc: Update the shaders implementation.

- WVlcEngine: Add the 'avcodec-fast' option.


## SkTorrent

- Update implementation to the 1.2.0 API.

- WHookTorrent: Update the 'skip' behavior for 'avi' files.

- WHookTorrent: Fix the 'read' function.

- WBackendTorrent: Update the 'sort' implementation.

- WTorrentEngine: Update torrent settings.

- WTorrentEngine: Add the 'get index' function.

- WTorrentEngine: Fix the 'remove' function.

- WTorrentEngine: Fix the 'select file ' function.

- WTorrentEngine: Fix the 'handle id' variables.


## SkyComponents

- Create ItemWipe(s).

- Rename ScrollAreaVertical to ScrollArea.

- Rename ScrollBarVertical to ScrollBar.

- Rename ContextualComponent to ComponentContextual.

- Remove SizeHint.

- PanelImage: Add the 'image background' alias.

- ScrollBar: Remove buttons.

- SliderStream: Update the 'left' button.

- TabsBrowser: Add 'onBefore(s)' functions.

- WallVideo: Update the 'player back' item.

- WallVideo: Update the 'cover' behavior.

- ComponentTabBrowser, ComponentWallBookmarkTrack: Update the 'icon' source and caching.


## SkyPresentation

- BaseLogo: Update to 'flat' design.


## Style

- Add 'night' design.

- Add 'light' design.

- Enable 'light' design by default.


## 3rdparty

- [MinGW](https://sourceforge.net/projects/mingw): Update to 7.3.0.

- [Qt](https://download.qt.io/official_releases/qt): Update to 5.12.0.

- [VLC](https://github.com/videolan/vlc): Update to 3.0.6.

- [libtorrent](https://github.com/arvidn/libtorrent): Update to 1.1.12.


# Authors
---

- Benjamin Arnaud aka [bunjee](https://bunjee.me) | <bunjee@omega.gg>.
