# [Changelog 1.6.0](https://omega.gg/MotionBox/changes/1.6.0.html)

### Previous: [Changelog 1.5.0](1.5.0.html)

### Next: [Changelog 1.7.0](1.7.0.html)

# [MotionBox](https://omega.gg/MotionBox)
---

## Overview

- Universal backends.

- macOS support.

- Subtitles implementation.


## Global

- Rename 'The Video Browser' to 'Video Browser'.


## C++

- ControllerCore: Add 'updateBackends' and 'resetBackends' functions.

- ControllerCore: Update 'pathCover' for backends.

- ControllerCore: Update the 'deleteBrowse' function.

- ControllerCore: Update data format.

- ControllerCore: Fix the 'applyTorrentOptions' function.

- DataLocal: Update 'torrent cache' to 2000 megabytes by default.


## QML

- Create PageSettingsVideo and PageConsole.

- Remove PanelCover.

- Add 'bold' style.

- Add 'ratio' support.

- Fix 'toolTip' icon scaling.

- Create 'PageSubtitles(s)'.

- Rename 'PanelShare' to 'PanelGet'.

- Gui: Check hover in the 'onIdleChanged' event.

- Gui: Fix the automatic selection in the 'onDragEnded' event.

- Gui: Remove 'keepState' in the 'applyProxy' function.

- Gui: Remove the 'openFolder' function.

- PanelBrowse: Update to LineEditBoxClear.

- PanelBrowse: Update 'scrollBrowse' press event.

- PanelSettings: Add 'autoPlay' button.

- PanelSettings: Update 'quality' implementation.

- PanelSettings: Fix 'buttonRepeat' highlight.

- PanelTracks: No longer change 'PanelAdd' selection when clicking on 'buttonBrowse'.

- BarWindowApplication: Add 'toggleTouch' on ViewDrag.

- BarWindowApplication: Update 'pOpenTabPlaylist' function.

- List(s): Fix the 'pRestoreScroll' function.

- List(s): Fix the 'pDragCheck' function.

- PageSettingsMain: Add the 'pApplyScale' function.

- PageSettingsVideo: Fix 'elide' behavior.


# [Sky kit](https://omega.gg/Sky)
---

## Overview

- Add subtitle support.


## C++

- Add 'ratio' support.


## SkCore

- Create WUnzipper.

- Create WYamlReader.

- WControllerApplication: Add 'cursor position'.

- WControllerApplication: Add the 'keypad' function.

- WControllerApplication: Update the 'dateFromSecs' function.

- WControllerApplication: Update the 'ratio' implementation.


## SkGui

- Create WBackendLoader.

- Remove WDeclarativeText.

- WControllerPlaylist: Add the 'getDataLibraryItem' function.

- WView: Add the 'onScreenChanged' event and 'updateRatio' function.

- WView: Add the 'isTouching' property.

- WView: Update the 'update mouse' function.

- WView: Update the 'mouseMoveEvent' event.

- WView: Update the 'ratio' initialize.

- WDeclarativeMouseArea: Update the 'touch' behavior.

- WDeclarativeMouseArea: Update the 'mouseUngrab' behavior.

- WDeclarativeMouseArea: Fix the 'wheel' event.

- WDeclarativeMouseArea: Fix hover in the 'touch' event.

- WDeclarativeBorders: Fix the color in the 'updatePaintNode' function.

- WDeclarativePlayer: Update the 'loadSource' keep state behavior.

- WAbstractBackend: Update the 'quality' enum.


## SkMedia

- Create WBackendSubtitle.

- WBackendVlc: Fix 'QT_4' defines.

- WBackendSubtitle: Add 'thread' support.


## SkTorrent

- WBackendTorrent: Fix the 'isEmpty' implementation.


## SkBackend

- Create WBackendIndex.

- Create WBackendCache.


## SkyComponents

- Create TextSubtitle.

- Create LineEditBoxClear.

- Create BaseTextEdit.

- Create BaseList, List and ComponentList.

- Create ScrollList and ScrollListDefault.

- Window: Add a wider resizer area for touch interactions.

- Window: Add the 'showTouch' and 'hideTouch' functions.

- Window: Add the 'resizer' alias.

- TextRich: Update 'link' interactions.

- ButtonCheck: Update implementation.

- ButtonsCheck: Add 'elide' property.

- WallVideo: Add the 'seeking' mouse areas.

- WallVideo: Update the 'z' on the 'player' item.

- WallVideo: Update the 'pauseTimeout' to 10 minutes.


## Style

- Update 'night' border color.

- ButtonMask: Update hover color.

- WallVideo: Remove 'loader' opacity.

- PlayerBrowser: Update text colors.


## 3rdparty

- Add [libcharsetdetect](https://dxr.mozilla.org/mozilla/source/extensions/universalchardet/src).

- Add [QuaZIP](https://github.com/stachenov/quazip).

- [Qt](https://download.qt.io/official_releases/qt): Update to 5.12.3.

- [libtorrent](https://github.com/arvidn/libtorrent): Update to 1.2.2.


# Authors
---

- Benjamin Arnaud aka [bunjee](https://bunjee.me) | <bunjee@omega.gg>.
